// Copyright (C) 2016 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial

#ifndef TESTIMPLICITCONVERSIONS_H
#define TESTIMPLICITCONVERSIONS_H

#include <QtCore/QObject>

class AbstractMetaBuilder;

class TestImplicitConversions : public QObject
{
    Q_OBJECT
private slots:
    void testWithPrivateCtors();
    void testWithModifiedVisibility();
    void testWithAddedCtor();
    void testWithExternalConversionOperator();
};

#endif
